Crystal Space: iSkeletonFactory Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSkeletonFactory Struct Reference

The skeleton factory is class that is used to create skeleton objects in the scene. More...

`#include <imesh/skeleton.h>`

Inheritance diagram for iSkeletonFactory:

[legend]
List of all members.

## Public Member Functions
virtual iSkeletonBoneFactory * | CreateBone (const char *name)=0
| Create new bone factory.
virtual iSkeletonScript * | CreateScript (const char *name)=0
| Create new animation script.
virtual iSkeletonSocketFactory * | CreateSocket (const char *name, iSkeletonBoneFactory *bone)=0
| Create new socket factory.
virtual iSkeletonBoneFactory * | FindBone (const char *name)=0
| Find bone factory by name.
virtual size_t | FindBoneIndex (const char *name)=0
| Find bone facotry index by name.
virtual iSkeletonScript * | FindScript (const char *name)=0
| Find script by name.
virtual iSkeletonSocketFactory * | FindSocket (const char *name)=0
| Find socket factory by name.
virtual iSkeletonBoneFactory * | GetBone (size_t i)=0
| Get bone factory by index.
virtual size_t | GetBonesCount () const =0
| Get number of bones factories.
virtual iSkeletonGraveyard * | GetGraveyard ()=0
| Get the Graveyard.
virtual const char * | GetName () const =0
| Get name of the skeleton factory.
virtual iSkeletonSocketFactory * | GetSocket (int i)=0
| Get socket factory by name.
virtual size_t | GetSocketsCount ()=0
| Get number of socket factories.
virtual void | RemoveSocket (int i)=0
| Remove socket facotry by index.
virtual void | SetName (const char *name)=0
| Get name.

## Detailed Description

The skeleton factory is class that is used to create skeleton objects in the scene.

Definition at line 712 of file skeleton.h.

## Member Function Documentation

virtual iSkeletonBoneFactory* iSkeletonFactory::CreateBone | ( | const char * | name | ) | `[pure virtual]`

Create new bone factory.

virtual iSkeletonScript* iSkeletonFactory::CreateScript | ( | const char * | name | ) | `[pure virtual]`

Create new animation script.

virtual iSkeletonSocketFactory* iSkeletonFactory::CreateSocket | ( | const char * | name,
|  | iSkeletonBoneFactory * | bone |
| ) |  |  | `[pure virtual]`

Create new socket factory.

virtual iSkeletonBoneFactory* iSkeletonFactory::FindBone | ( | const char * | name | ) | `[pure virtual]`

Find bone factory by name.

virtual size_t iSkeletonFactory::FindBoneIndex | ( | const char * | name | ) | `[pure virtual]`

Find bone facotry index by name.

virtual iSkeletonScript* iSkeletonFactory::FindScript | ( | const char * | name | ) | `[pure virtual]`

Find script by name.

virtual iSkeletonSocketFactory* iSkeletonFactory::FindSocket | ( | const char * | name | ) | `[pure virtual]`

Find socket factory by name.

virtual iSkeletonBoneFactory* iSkeletonFactory::GetBone | ( | size_t | i | ) | `[pure virtual]`

Get bone factory by index.

virtual size_t iSkeletonFactory::GetBonesCount | ( |  | ) | const`[pure virtual]`

Get number of bones factories.

virtual iSkeletonGraveyard* iSkeletonFactory::GetGraveyard | ( |  | ) | `[pure virtual]`

Get the Graveyard.

virtual const char* iSkeletonFactory::GetName | ( |  | ) | const`[pure virtual]`

Get name of the skeleton factory.

virtual iSkeletonSocketFactory* iSkeletonFactory::GetSocket | ( | int | i | ) | `[pure virtual]`

Get socket factory by name.

virtual size_t iSkeletonFactory::GetSocketsCount | ( |  | ) | `[pure virtual]`

Get number of socket factories.

virtual void iSkeletonFactory::RemoveSocket | ( | int | i | ) | `[pure virtual]`

Remove socket facotry by index.

virtual void iSkeletonFactory::SetName | ( | const char * | name | ) | `[pure virtual]`

Get name.

The documentation for this struct was generated from the following file:

- imesh/skeleton.h